Package ch.qos.logback.core.joran.action

# Class ActionUtil

java.lang.Object
ch.qos.logback.core.joran.action.ActionUtil

public class ActionUtil extends Object

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static enum`
`ActionUtil.Scope`

## Constructor Summary

Constructors
Constructor
Description
`ActionUtil()`

## Method Summary

Modifier and Type
Method
Description
`static void`
`setProperties(InterpretationContext ic, Properties props, ActionUtil.Scope scope)`
Add all the properties found in the argument named 'props' to an InterpretationContext.
`static void`
`setProperty(InterpretationContext ic, String key, String value, ActionUtil.Scope scope)`
`static ActionUtil.Scope`
`stringToScope(String scopeStr)`
Convert a string into a scope.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ActionUtil

public ActionUtil()

## Method Details

### stringToScope

public static ActionUtil.Scope stringToScope(String scopeStr)
Convert a string into a scope. Scole.LOCAL is returned by default.

Parameters:
  `scopeStr` -
Returns:
  a scope corresponding to the input string; Scope.LOCAL by default.

### setProperty

public static void setProperty(InterpretationContext ic, String key, String value, ActionUtil.Scope scope)

### setProperties

public static void setProperties(InterpretationContext ic, Properties props, ActionUtil.Scope scope)
Add all the properties found in the argument named 'props' to an InterpretationContext.